---

# prepare all coremedia machines
- hosts: delivery,frontend,backend
  gather_facts: true
  become: true
  remote_user: ansible
  environment:
    NETRC: ''
    http_proxy: "{{ lookup('env', 'http_proxy') }}"
    https_proxy: "{{ lookup('env', 'https_proxy') }}"
    no_proxy: "{{ lookup('env', 'no_proxy') }}"
  roles:
    - role: coremedia
    - role: corretto
    - role: tomcat
    - role: snakeoil
    - role: solr
    - role: solr_cores

# frontend content services
#  - solr
#  - master-live-server
#  - caefeeder-live
#
- hosts: frontend
  gather_facts: true
  become: true
  remote_user: ansible
  roles:
    - role: command-line-tools
      vars:
        artefact_url: "{{ artefact_server }}/{{ application_version }}/content-server"
        command_line_tool: replication-live-server-tools
        coremedia:
          replication_live_server_tools:
            artefact_name: rls-tools.zip

    - role: command-line-tools
      vars:
        artefact_url: "{{ artefact_server }}/{{ application_version }}/cae-feeder"
        command_line_tool: caefeeder-live-tools
        coremedia:
          caefeeder_live_tools:
            artefact_name: caefeeder-tools.zip

    - role: content-server
      vars:
        artefact_url: "{{ artefact_server }}/{{ application_version }}/content-server"
        content_server: master-live-server
        oom_notifier: /opt/coremedia/bin/oom-notifier.sh
        coremedia:
          master_live_server:
            artefact_name: content-server.jar
        content_server_database:
          host: dba-frontend.coremedia.lan
          schema: master_live_server
          user: master_live_server
          password: "{{ vault__database__master_live_server }}"

#     - role: master-live-server_tools
#     - role: caefeeder_tools
#       vars:
#         - coremedia_application_name: caefeeder-live-tools
#         - application_database:
#             host: frontend-mysql.coremedia.lan
#             name: cm_caefeeder
#             user: cm_caefeeder
#             password: "{{ vault__cm_caefeeder }}"
#     - role: master-live-server
#     - role: caefeeder-live
#
# # backend content services
# #  - solr
# #  - content-management-server
# #  - workflow-server
# #  - caefeeder-preview
# #  - content-feeder
# #  - elastic-worker
# #  - user-changes
# #  - studio
# #  - cae-preview
# #  - nginx
# #
# - hosts: backend
#   gather_facts: true
#   become: yes
#   remote_user: ansible
#   roles:
#     - role: theme-importer_tools
#     - role: content-management-server_tools
#     - role: workflow-server_tools
#     - role: caefeeder_tools
#       vars:
#         - coremedia_application_name: caefeeder-preview-tools
#         - application_database:
#             host: backend-mysql.coremedia.lan
#             name: cm_mcaefeeder
#             user: cm_mcaefeeder
#             password: "{{ vault__cm_mcaefeeder }}"
#     - role: content-management-server
#     - role: workflow-server
#     - role: caefeeder-preview
#     - role: content-feeder
#     - role: elastic-worker
#     - role: user-changes
#     - role: studio
#     - role: cae-preview
#     - role: snakeoil
#     - role: nginx
#   tasks:
#     - name: Set httpd_can_network_connect flag on and keep it persistent across reboots
#       seboolean:
#         name: httpd_can_network_connect
#         state: true
#         persistent: true
#       when: ansible_selinux is defined and ansible_selinux != False and ansible_selinux.status == 'enabled'
#
# # delivery services
# #  - replication-live-server
# #  - cae-live
# #  - nginx
# #
# - hosts: delivery
#   gather_facts: true
#   become: yes
#   remote_user: ansible
#   roles:
#     - role: replication-live-server_tools
#     - role: replication-live-server
#     - role: cae-live
#       vars:
#         - instances: 2
#     - role: snakeoil
#     - role: nginx
#     - role: overview
#   tasks:
#     - name: Set httpd_can_network_connect flag on and keep it persistent across reboots
#       seboolean:
#         name: httpd_can_network_connect
#         state: true
#         persistent: true
#       when: ansible_selinux is defined and ansible_selinux != False and ansible_selinux.status == 'enabled'
